For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders

Order object

Get orders

get
/v1/orders

This operation returns a list of orders.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - invoice, customer, booking, tables, promoCode, outlet, revenueCenter, payments using include query parameter.

  • Sparse fieldsets - supports all fields of order and related resources with fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Query parameters
page[size]integer · int32 · min: 1 · max: 1000Optional

The number of resources to return in a single response.

page[before]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
page[after]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
filter[createdAtGt]any ofOptional

Filters the objects that were created after a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-16T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-16
filter[createdAtGteq]any ofOptional

Filters the objects that were created after or on a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-16T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-16
filter[updatedAtGt]any ofOptional

Filters the objects that were updated after a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-16T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-16
filter[updatedAtGteq]any ofOptional

Filters the objects that were updated after or on a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-16T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-16
filter[tableIdEq]string · uuid · min: 36 · max: 36Optional

Universally unique ID UUID4.

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64
filter[revenueCenterIdEq]string · uuid · min: 36 · max: 36Optional

Universally unique ID UUID4.

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64
Responses
200

Successful response with orders data in JSON:API format.

application/vnd.api+json
get/v1/orders
GET /pos/v1/orders HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "5624013b-5293-48b1-a07a-e7ee01cbde6a",
      "type": "orders",
      "attributes": {
        "notes": "Please make sure the food is not too spicy.",
        "covers": 12,
        "createdAt": "2021-06-29T08:00:00Z",
        "updatedAt": "2021-06-29T08:00:00Z",
        "tableStatus": "seated",
        "status": "received",
        "state": "open",
        "depositAmount": "20.00"
      },
      "relationships": {
        "invoice": {
          "data": {
            "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
            "type": "invoices"
          }
        },
        "customer": {
          "data": {
            "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
            "type": "customers"
          }
        },
        "booking": {
          "data": {
            "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
            "type": "bookings"
          }
        },
        "tables": {
          "data": [
            {
              "id": "dcd9718c-abb0-4ba2-83c5-ae01505a5391",
              "type": "tables"
            }
          ]
        },
        "promoCode": {
          "data": {
            "id": "167beb82-e6a7-453b-8048-cfa25d3ce467",
            "type": "promoCodes"
          }
        },
        "taxes": {
          "data": [
            {
              "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
              "type": "taxes"
            }
          ]
        }
      },
      "links": {
        "self": "https://api.mews-demo.com/pos/v1/orders/5624013b-5293-48b1-a07a-e7ee01cbde6a"
      }
    }
  ],
  "links": {
    "prev": "https://api.mews-demo.com/pos/v1/orders?page%5Bbefore%5D=NA&page%5Bsize%5D=1",
    "next": "https://api.mews-demo.com/pos/v1/orders?page%5Bafter%5D=NA&page%5Bsize%5D=1"
  }
}

Create order

post
/v1/orders

This operation creates an order.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - invoice, customer, booking, tables, promoCode, outlet, revenueCenter, taxes, orderItems, payments using include query parameter.

  • Sparse fieldsets - supports all fields of order and related resources with fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Query parameters
Body
Responses
201

The order was successfully created.

application/vnd.api+json
post/v1/orders
POST /pos/v1/orders HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 2526

{
  "data": {
    "type": "orders",
    "attributes": {
      "covers": 2,
      "notes": "Test notes"
    },
    "relationships": {
      "customer": {
        "data": {
          "type": "customers",
          "id": "a393a4bc-14fb-45cf-b980-427627cbfd65"
        }
      },
      "tables": {
        "data": [
          {
            "type": "tables",
            "id": "dcd9718c-abb0-4ba2-83c5-ae01505a5391"
          }
        ]
      },
      "outlet": {
        "data": {
          "type": "outlets",
          "id": "5e5c75c0-0adb-4fd9-af97-bdad5397c8a1"
        }
      },
      "revenueCenter": {
        "data": {
          "type": "revenue_centers",
          "id": "bda5d905-5bc3-45a5-adc2-f83854b23d9f"
        }
      },
      "promoCode": {
        "data": {
          "type": "promo_codes",
          "id": "7e526753-b30e-4067-8d01-cc41af7b3ef6"
        }
      },
      "items": {
        "data": [
          {
            "type": "orderItems",
            "tempId": "order-item-1"
          },
          {
            "type": "orderBundleItems",
            "tempId": "order-bundle-item-1"
          }
        ]
      },
      "payments": {
        "data": [
          {
            "type": "payments",
            "tempId": "payment-1"
          }
        ]
      }
    },
    "included": {
      "items": [
        {
          "type": "orderItems",
          "tempId": "order-item-1",
          "attributes": {
            "quantity": "3.00",
            "total": "18.00",
            "unitPriceInclTax": "6.00",
            "tax": "1.00",
            "subtotal": "17.00",
            "discount": "10.00",
            "discountType": "percentage",
            "discountDescription": "Regular customer",
            "isComp": false,
            "isVoid": false,
            "notes": "Special preparation instructions",
            "compVoidReason": "Example comp reason",
            "compVoidNotes": "Example void reason"
          },
          "relationships": {
            "product": {
              "data": {
                "type": "products",
                "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
              }
            },
            "productVariant": {
              "data": {
                "type": "productVariants",
                "id": "39117180-5203-462a-b325-689427a7029f"
              }
            },
            "modifiers": {
              "data": [
                {
                  "type": "modifiers",
                  "id": "44582405-1201-427c-9015-153b4b1d724f"
                }
              ]
            }
          }
        },
        {
          "type": "orderBundleItems",
          "tempId": "order-bundle-item-1",
          "attributes": {
            "unitPriceInclTax": "12.50",
            "total": "12.50",
            "notes": "Special bundle item"
          },
          "relationships": {
            "product": {
              "data": {
                "type": "products",
                "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
              }
            },
            "productVariant": {
              "data": {
                "type": "productVariants",
                "id": "39117180-5203-462a-b325-689427a7029f"
              }
            },
            "productBundleItem": {
              "data": {
                "type": "productBundleItems",
                "id": "d4f5e6a7-b8c9-40d1-9e2f-3a4b5c6d7e8f"
              }
            },
            "orderBundle": {
              "data": {
                "type": "orderBundles",
                "tempId": "order-bundle-1"
              }
            },
            "modifiers": {
              "data": [
                {
                  "type": "modifiers",
                  "id": "55667788-99aa-bbcc-ddee-ff0011223344"
                }
              ]
            }
          }
        }
      ],
      "orderBundles": [
        {
          "type": "orderBundles",
          "tempId": "order-bundle-1",
          "attributes": {
            "quantity": "1.00",
            "discount": "5.00",
            "discountType": "percentage"
          },
          "relationships": {
            "productBundle": {
              "data": {
                "type": "productBundles",
                "id": "123e4567-e89b-12d3-a456-426614174000"
              }
            }
          }
        }
      ],
      "payments": [
        {
          "type": "payments",
          "tempId": "payment-1",
          "attributes": {
            "amount": "100.00",
            "notes": "Payment for order",
            "tipAmount": "15.00"
          },
          "relationships": {
            "paymentMethod": {
              "data": {
                "type": "paymentMethods",
                "id": "4014e105-57d6-4b12-a4fc-164601ec53e9"
              }
            }
          }
        }
      ]
    }
  }
}
{
  "data": {
    "id": "2496b6bd-a326-4a5a-95c8-359c943dcee8",
    "type": "orders",
    "attributes": {
      "covers": 1,
      "tableStatus": "seated",
      "notes": "Please make it quick",
      "depositAmount": "20.00",
      "createdAt": "2021-06-29T08:00:00Z",
      "updatedAt": "2021-06-29T08:00:00Z"
    },
    "relationships": {
      "invoice": {
        "data": {
          "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
          "type": "invoices"
        }
      },
      "customer": {
        "data": {
          "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
          "type": "customers"
        }
      },
      "register": {
        "data": {
          "id": "a0312dc4-e0bf-4a27-837d-a6cf41f54464",
          "type": "bookings"
        }
      },
      "invoiceItems": {
        "data": [
          {
            "id": "dcd9718c-abb0-4ba2-83c5-ae01505a5391",
            "type": "tables"
          }
        ]
      },
      "promoCode": {
        "data": {
          "id": "167beb82-e6a7-453b-8048-cfa25d3ce467",
          "type": "promoCodes"
        }
      },
      "taxes": {
        "data": [
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "taxes"
          }
        ]
      },
      "orderItems": {
        "data": [
          {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "type": "orderItems"
          },
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "orderBundleItems"
          }
        ]
      }
    },
    "included": [
      {
        "type": "orderItems",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "attributes": {
          "quantity": "3.00",
          "total": "18.00",
          "unitPriceInclTax": "6.00",
          "tax": "1.00",
          "subtotal": "17.00",
          "discount": "10.00",
          "discountType": "percentage",
          "discountDescription": "Regular customer"
        },
        "relationships": {
          "product": {
            "data": {
              "type": "products",
              "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
            }
          },
          "productVariant": {
            "data": {
              "type": "productVariants",
              "id": "39117180-5203-462a-b325-689427a7029f"
            }
          },
          "modifiers": {
            "data": [
              {
                "type": "modifiers",
                "id": "44582405-1201-427c-9015-153b4b1d724f"
              }
            ]
          }
        }
      },
      {
        "type": "orderBundleItems",
        "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
        "attributes": {
          "unitPriceInclTax": "12.50",
          "total": "12.50",
          "notes": "Special bundle item"
        },
        "relationships": {
          "productBundleItem": {
            "data": {
              "type": "productBundleItems",
              "id": "d4f5e6a7-b8c9-40d1-9e2f-3a4b5c6d7e8f"
            }
          },
          "modifiers": {
            "data": [
              {
                "type": "modifiers",
                "id": "55667788-99aa-bbcc-ddee-ff0011223344"
              }
            ]
          },
          "orderBundle": {
            "data": {
              "type": "orderBundles",
              "id": "f5e6d7c8-9ab0-1234-5678-90abcdef1234"
            }
          }
        }
      },
      {
        "type": "orderBundles",
        "id": "f5e6d7c8-9ab0-1234-5678-90abcdef1234",
        "attributes": {
          "quantity": "1.00",
          "discount": "5.00",
          "discountType": "percentage"
        },
        "relationships": {
          "productBundle": {
            "data": {
              "type": "productBundles",
              "id": "f2b8e1d3-3c4b-4e6a-9f5e-2d3c45b6a7b8"
            }
          }
        }
      }
    ],
    "links": {
      "self": "https://api.mews-demo.com/pos/v1/orders/2496b6bd-a326-4a5a-95c8-359c943dcee8"
    }
  }
}

Get order

get
/v1/orders/{id}

An order represents a single set of items that was ordered by a customer. Each order is uniquely identified and can be associated with an invoice item.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - invoice, customer, booking, tables, promoCode, outlet, revenueCenter using include query parameter.

  • Sparse fieldsets - supports all fields of order and related resources with fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Path parameters
idstring · uuid · min: 36 · max: 36Required

Universally unique ID UUID4.

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64
Query parameters
Responses
200

Successful response with orders data in JSON:API format.

application/vnd.api+json
get/v1/orders/{id}
GET /pos/v1/orders/{id} HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "2496b6bd-a326-4a5a-95c8-359c943dcee8",
    "type": "orders",
    "attributes": {
      "covers": 1,
      "tableStatus": "seated",
      "notes": "Please make it quick",
      "depositAmount": "20.00",
      "createdAt": "2021-06-29T08:00:00Z",
      "updatedAt": "2021-06-29T08:00:00Z"
    },
    "relationships": {
      "invoice": {
        "data": {
          "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
          "type": "invoices"
        }
      },
      "customer": {
        "data": {
          "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
          "type": "customers"
        }
      },
      "register": {
        "data": {
          "id": "a0312dc4-e0bf-4a27-837d-a6cf41f54464",
          "type": "bookings"
        }
      },
      "invoiceItems": {
        "data": [
          {
            "id": "dcd9718c-abb0-4ba2-83c5-ae01505a5391",
            "type": "tables"
          }
        ]
      },
      "promoCode": {
        "data": {
          "id": "167beb82-e6a7-453b-8048-cfa25d3ce467",
          "type": "promoCodes"
        }
      },
      "taxes": {
        "data": [
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "taxes"
          }
        ]
      },
      "orderItems": {
        "data": [
          {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "type": "orderItems"
          },
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "orderBundleItems"
          }
        ]
      }
    },
    "included": [
      {
        "type": "orderItems",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "attributes": {
          "quantity": "3.00",
          "total": "18.00",
          "unitPriceInclTax": "6.00",
          "tax": "1.00",
          "subtotal": "17.00",
          "discount": "10.00",
          "discountType": "percentage",
          "discountDescription": "Regular customer"
        },
        "relationships": {
          "product": {
            "data": {
              "type": "products",
              "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
            }
          },
          "productVariant": {
            "data": {
              "type": "productVariants",
              "id": "39117180-5203-462a-b325-689427a7029f"
            }
          },
          "modifiers": {
            "data": [
              {
                "type": "modifiers",
                "id": "44582405-1201-427c-9015-153b4b1d724f"
              }
            ]
          }
        }
      },
      {
        "type": "orderBundleItems",
        "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
        "attributes": {
          "unitPriceInclTax": "12.50",
          "total": "12.50",
          "notes": "Special bundle item"
        },
        "relationships": {
          "productBundleItem": {
            "data": {
              "type": "productBundleItems",
              "id": "d4f5e6a7-b8c9-40d1-9e2f-3a4b5c6d7e8f"
            }
          },
          "modifiers": {
            "data": [
              {
                "type": "modifiers",
                "id": "55667788-99aa-bbcc-ddee-ff0011223344"
              }
            ]
          },
          "orderBundle": {
            "data": {
              "type": "orderBundles",
              "id": "f5e6d7c8-9ab0-1234-5678-90abcdef1234"
            }
          }
        }
      },
      {
        "type": "orderBundles",
        "id": "f5e6d7c8-9ab0-1234-5678-90abcdef1234",
        "attributes": {
          "quantity": "1.00",
          "discount": "5.00",
          "discountType": "percentage"
        },
        "relationships": {
          "productBundle": {
            "data": {
              "type": "productBundles",
              "id": "f2b8e1d3-3c4b-4e6a-9f5e-2d3c45b6a7b8"
            }
          }
        }
      }
    ],
    "links": {
      "self": "https://api.mews-demo.com/pos/v1/orders/2496b6bd-a326-4a5a-95c8-359c943dcee8"
    }
  }
}

Update order

patch
/v1/orders/{id}

This operation updates an existing order. You can update order attributes (covers, notes) and relationships (customer, tables, outlet, revenue center, promo code). You can also add new items to the order or update existing ones.

Item Identifiers:

  • Use tempId for new items being added to the order (items that don't exist in the database yet).

  • Use id (UUID) for existing items that are being updated or kept in the order.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - customer, tables, outlet, revenueCenter, promoCode using relationships in the request body.

  • Sparse fieldsets - supports all fields of order and related resources with fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Path parameters
idstring · uuid · min: 36 · max: 36Required

Universally unique ID UUID4.

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64
Query parameters
Body
Responses
200

The order was successfully updated.

application/vnd.api+json
patch/v1/orders/{id}
PATCH /pos/v1/orders/{id} HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 2979

{
  "data": {
    "type": "orders",
    "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
    "attributes": {
      "covers": 4,
      "notes": "Updated notes for the order"
    },
    "relationships": {
      "customer": {
        "data": {
          "type": "customers",
          "id": "a393a4bc-14fb-45cf-b980-427627cbfd65"
        }
      },
      "tables": {
        "data": [
          {
            "type": "tables",
            "id": "dcd9718c-abb0-4ba2-83c5-ae01505a5391"
          }
        ]
      },
      "outlet": {
        "data": {
          "type": "outlets",
          "id": "5e5c75c0-0adb-4fd9-af97-bdad5397c8a1"
        }
      },
      "revenueCenter": {
        "data": {
          "type": "revenue_centers",
          "id": "bda5d905-5bc3-45a5-adc2-f83854b23d9f"
        }
      },
      "promoCode": {
        "data": {
          "type": "promo_codes",
          "id": "7e526753-b30e-4067-8d01-cc41af7b3ef6"
        }
      },
      "items": {
        "data": [
          {
            "type": "orderItems",
            "tempId": "order-item-2"
          },
          {
            "type": "orderItems",
            "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef"
          },
          {
            "type": "orderBundleItems",
            "tempId": "order-bundle-item-1"
          }
        ]
      }
    },
    "included": {
      "items": [
        {
          "type": "orderItems",
          "tempId": "order-item-2",
          "attributes": {
            "quantity": "2.00",
            "total": "12.00",
            "unitPriceInclTax": "6.00",
            "tax": "1.00",
            "subtotal": "11.00",
            "discount": "0.00",
            "discountType": "fixed",
            "discountDescription": "Regular customer discount"
          },
          "relationships": {
            "product": {
              "data": {
                "type": "products",
                "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
              }
            },
            "productVariant": {
              "data": {
                "type": "productVariants",
                "id": "39117180-5203-462a-b325-689427a7029f"
              }
            },
            "modifiers": {
              "data": [
                {
                  "type": "modifiers",
                  "id": "44582405-1201-427c-9015-153b4b1d724f"
                }
              ]
            }
          }
        },
        {
          "type": "orderItems",
          "id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
          "attributes": {
            "quantity": "3.00",
            "notes": "Updated quantity for existing item"
          },
          "relationships": {
            "product": {
              "data": {
                "type": "products",
                "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
              }
            }
          }
        },
        {
          "type": "orderBundleItems",
          "tempId": "order-bundle-item-1",
          "attributes": {
            "total": "12.50",
            "unitPriceInclTax": "12.50",
            "notes": "Special bundle item"
          },
          "relationships": {
            "product": {
              "data": {
                "type": "products",
                "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
              }
            },
            "productVariant": {
              "data": {
                "type": "productVariants",
                "id": "39117180-5203-462a-b325-689427a7029f"
              }
            },
            "productBundleItem": {
              "data": {
                "type": "productBundleItems",
                "id": "d4f5e6a7-b8c9-40d1-9e2f-3a4b5c6d7e8f"
              }
            },
            "orderBundle": {
              "data": {
                "type": "orderBundles",
                "tempId": "order-bundle-1"
              }
            },
            "modifiers": {
              "data": [
                {
                  "type": "modifiers",
                  "id": "55667788-99aa-bbcc-ddee-ff0011223344"
                }
              ]
            }
          }
        },
        {
          "type": "orderBundleItems",
          "tempId": "order-bundle-item-1",
          "attributes": {
            "total": "12.50",
            "unitPriceInclTax": "12.50",
            "notes": "Special bundle item"
          },
          "relationships": {
            "product": {
              "data": {
                "type": "products",
                "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
              }
            },
            "productVariant": {
              "data": {
                "type": "productVariants",
                "id": "39117180-5203-462a-b325-689427a7029f"
              }
            },
            "productBundleItem": {
              "data": {
                "type": "productBundleItems",
                "id": "d4f5e6a7-b8c9-40d1-9e2f-3a4b5c6d7e8f"
              }
            },
            "orderBundle": {
              "data": {
                "type": "orderBundles",
                "id": "87654321-0abc-def1-2345-67890abcdef1"
              }
            }
          }
        }
      ],
      "orderBundles": [
        {
          "type": "orderBundles",
          "tempId": "order-bundle-1",
          "attributes": {
            "quantity": "1.00",
            "discount": "5.00",
            "discountType": "percentage"
          },
          "relationships": {
            "productBundle": {
              "data": {
                "type": "productBundles",
                "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
              }
            }
          }
        }
      ]
    }
  }
}
{
  "data": {
    "id": "2496b6bd-a326-4a5a-95c8-359c943dcee8",
    "type": "orders",
    "attributes": {
      "covers": 1,
      "tableStatus": "seated",
      "notes": "Please make it quick",
      "depositAmount": "20.00",
      "createdAt": "2021-06-29T08:00:00Z",
      "updatedAt": "2021-06-29T08:00:00Z"
    },
    "relationships": {
      "invoice": {
        "data": {
          "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
          "type": "invoices"
        }
      },
      "customer": {
        "data": {
          "id": "4014e105-57d6-4b12-a4fc-164601ec53e9",
          "type": "customers"
        }
      },
      "register": {
        "data": {
          "id": "a0312dc4-e0bf-4a27-837d-a6cf41f54464",
          "type": "bookings"
        }
      },
      "invoiceItems": {
        "data": [
          {
            "id": "dcd9718c-abb0-4ba2-83c5-ae01505a5391",
            "type": "tables"
          }
        ]
      },
      "promoCode": {
        "data": {
          "id": "167beb82-e6a7-453b-8048-cfa25d3ce467",
          "type": "promoCodes"
        }
      },
      "taxes": {
        "data": [
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "taxes"
          }
        ]
      },
      "orderItems": {
        "data": [
          {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "type": "orderItems"
          },
          {
            "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
            "type": "orderBundleItems"
          }
        ]
      }
    },
    "included": [
      {
        "type": "orderItems",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "attributes": {
          "quantity": "3.00",
          "total": "18.00",
          "unitPriceInclTax": "6.00",
          "tax": "1.00",
          "subtotal": "17.00",
          "discount": "10.00",
          "discountType": "percentage",
          "discountDescription": "Regular customer"
        },
        "relationships": {
          "product": {
            "data": {
              "type": "products",
              "id": "c8e421ac-dcce-458a-ba7c-6f44b642718e"
            }
          },
          "productVariant": {
            "data": {
              "type": "productVariants",
              "id": "39117180-5203-462a-b325-689427a7029f"
            }
          },
          "modifiers": {
            "data": [
              {
                "type": "modifiers",
                "id": "44582405-1201-427c-9015-153b4b1d724f"
              }
            ]
          }
        }
      },
      {
        "type": "orderBundleItems",
        "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
        "attributes": {
          "unitPriceInclTax": "12.50",
          "total": "12.50",
          "notes": "Special bundle item"
        },
        "relationships": {
          "productBundleItem": {
            "data": {
              "type": "productBundleItems",
              "id": "d4f5e6a7-b8c9-40d1-9e2f-3a4b5c6d7e8f"
            }
          },
          "modifiers": {
            "data": [
              {
                "type": "modifiers",
                "id": "55667788-99aa-bbcc-ddee-ff0011223344"
              }
            ]
          },
          "orderBundle": {
            "data": {
              "type": "orderBundles",
              "id": "f5e6d7c8-9ab0-1234-5678-90abcdef1234"
            }
          }
        }
      },
      {
        "type": "orderBundles",
        "id": "f5e6d7c8-9ab0-1234-5678-90abcdef1234",
        "attributes": {
          "quantity": "1.00",
          "discount": "5.00",
          "discountType": "percentage"
        },
        "relationships": {
          "productBundle": {
            "data": {
              "type": "productBundles",
              "id": "f2b8e1d3-3c4b-4e6a-9f5e-2d3c45b6a7b8"
            }
          }
        }
      }
    ],
    "links": {
      "self": "https://api.mews-demo.com/pos/v1/orders/2496b6bd-a326-4a5a-95c8-359c943dcee8"
    }
  }
}

Last updated

Was this helpful?